This was released a while ago, closing.
[ikiwiki.git] / doc / bugs / po:_po4a_too_strict_on_html_pages.mdwn
1 On some source .html pages, po4a wrongly detects a malformed document,
2 which makes the po plugin error out and the wiki build is aborted.
3
4 I've pushed a [[patch]] to my `po` branch to fix this: it makes po4a
5 warn, instead of error'ing out, when it detects a malformed input
6 document.
7
8 This is really a po4a bug which I will report, but since most ikiwiki
9 users are gonna live with Squeeze's po4a for a while, I think we
10 should workaround it in ikiwiki.
11
12 Also, the current state of things makes it a bit too easy to break a
13 given ikiwiki site build (DoS) when both the html and po plugins are
14 enabled: inserting a html tag without closing it is enough.
15
16 --[[intrigeri]]
17
18 > Hmm, so this happened while I was away at the beach and I have a big
19 > backlog of stuff, only saw it now. I've merged the match for master and
20 > will be releasing that soon. I will cherry-pick the fix into at least
21 > my debian-stable branch too. I don't know if this is worth doing a whole
22 > security advisory for. --[[Joey]]
23
24 [[done]]